using System;
using System.Collections.Generic;
using System.Text;

namespace AutoTurnOver.Models
{
    public class dc_base_oms_order
    {
       public string platform_type { get; set; }

        public string transaction_id { get; set; }

        public string origin_order_id { get; set; }

        public string bailun_order_id { get; set; }

        public string order_id { get
            {
                if ("ebay".Equals(platform_type,StringComparison.OrdinalIgnoreCase))
                {
                    return transaction_id;
                }
                else
                {
                    return origin_order_id;
                }
            } }
    }
}
